NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.Feature Class Reference

Represents a feature on a part More...

Inheritance diagram for NXOpen.Features.Feature:
NXOpen.NXObject NXOpen.IProfile NXOpen.IFitTo NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.BodyDes.OnestepUnform NXOpen.Die.Tip NXOpen.Features.AOCS NXOpen.Features.AssociativeArc NXOpen.Features.AssociativeLine NXOpen.Features.Bead NXOpen.Features.Bend NXOpen.Features.BodyFeature NXOpen.Features.BreakCorner NXOpen.Features.CircularBlendCurve NXOpen.Features.ClosedCorner NXOpen.Features.CombinedProjection NXOpen.Features.CompositeCurve NXOpen.Features.ContourFlange NXOpen.Features.ConvertToSheetmetal NXOpen.Features.CurveFeature NXOpen.Features.CurveLength NXOpen.Features.CurveOnSurface NXOpen.Features.CustomFeature NXOpen.Features.DatumCsys NXOpen.Features.DatumFeature NXOpen.Features.Dimple NXOpen.Features.DrawnCutout NXOpen.Features.EdgeRip NXOpen.Features.FeatureGroup NXOpen.Features.FitCurve NXOpen.Features.Flange NXOpen.Features.FlatPattern NXOpen.Features.FlatSolid NXOpen.Features.FlexibleCable NXOpen.Features.FreeformUnform NXOpen.Features.GeneralConic NXOpen.Features.Geomcopy NXOpen.Features.Gusset NXOpen.Features.Helix NXOpen.Features.Human NXOpen.Features.InstanceFeature NXOpen.Features.IsolateFeature NXOpen.Features.Jog NXOpen.Features.JoinCurves NXOpen.Features.LawCurve NXOpen.Features.LoftedFlange NXOpen.Features.Louver NXOpen.Features.Maple NXOpen.Features.MasterCut NXOpen.Features.MathIntegration NXOpen.Features.Mirror NXOpen.Features.MirrorCurve NXOpen.Features.MoveObject NXOpen.Features.NormalCutout NXOpen.Features.PartModule NXOpen.Features.PatternFeature NXOpen.Features.PatternGeometry NXOpen.Features.PointFeature NXOpen.Features.Prebend NXOpen.Features.PunchThrough NXOpen.Features.RapidSurface NXOpen.Features.RasterImage NXOpen.Features.Rebend NXOpen.Features.ResizeBendAngle NXOpen.Features.ResizeBendRadius NXOpen.Features.ResizeNeutralFactor NXOpen.Features.ResizePlane NXOpen.Features.SectionCurve NXOpen.Features.SheetMetal.AdvancedFlange NXOpen.Features.SheetMetal.AssociateObject NXOpen.Features.SheetMetal.Joggle NXOpen.Features.SheetMetal.MultiFlange NXOpen.Features.ShipDesign.MarkingLine NXOpen.Features.ShipDesign.MarkingLineDesign NXOpen.Features.ShipDesign.OrientationDefinition NXOpen.Features.ShipDesign.ShellExpansion NXOpen.Features.ShipDesign.SmartRule NXOpen.Features.ShipDesign.SplitStandardPart NXOpen.Features.ShipDesign.StandardPartSCAssist NXOpen.Features.SketchFeature NXOpen.Features.SmoothCurveString NXOpen.Features.SolidPunch NXOpen.Features.StudioSpline NXOpen.Features.Tab NXOpen.Features.Text NXOpen.Features.Texture NXOpen.Features.ThreeBendCorner NXOpen.Features.TrimBody NXOpen.Features.Unbend NXOpen.Features.UniversalUnform NXOpen.Features.UserDefinedObjectFeature NXOpen.Features.VehicleDesign.CloseRangeVisibility NXOpen.Features.VehicleDesign.Eyellipse NXOpen.Features.VehicleDesign.Manikin NXOpen.Features.VehicleDesign.SeatBeltAnchorage NXOpen.Features.VehicleDesign.VehicleCoordinateSystem NXOpen.Features.VehicleDesign.WindshieldDatum NXOpen.Features.WaveDatum NXOpen.Features.WaveLink NXOpen.Features.WavePoint NXOpen.Features.WaveRouting NXOpen.Features.WaveSketch NXOpen.LineDesigner.ColumnFeature NXOpen.LineDesigner.ConveyorStationFeature NXOpen.LineDesigner.GateFeature NXOpen.LineDesigner.RailingFeature NXOpen.LineDesigner.RailOpeningFeature NXOpen.LineDesigner.TypedConnectorFeature NXOpen.Measure NXOpen.MeasureMaster NXOpen.Routing.FeaturePort NXOpen.SketchIntersectionCurve NXOpen.SketchIntersectionPoint NXOpen.Weld.AutoPoint NXOpen.Weld.CompoundWeld NXOpen.Weld.DatumPin NXOpen.Weld.DatumSurface NXOpen.Weld.Extract NXOpen.Weld.Groove NXOpen.Weld.Jointmark NXOpen.Weld.JointmarkElement NXOpen.Weld.PointMark NXOpen.Weld.WeldPoint

Public Types

enum  BooleanType {
  Create, Unite, Subtract, Intersect,
  EmbossNormalSide = 8, EmbossOppositeNormalSide
}
 Boolean operation type. More...
 
enum  DiagnosticType { Information = 1, Warning }
 Diagnostic type More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe bool BreakWaveLink ()
 Break Wave Link Feature More...
 
unsafe void ChangeBooleanType ()
 Change Boolean Type More...
 
unsafe void DeleteClueAlerts ()
 Delete all clue alerts from the features More...
 
unsafe void DeleteHintAlerts ()
 Delete all clue alerts from the features More...
 
unsafe void DeleteInformationalAlerts ()
 Delete all informational alerts from the features More...
 
unsafe void DeleteWarningAlerts ()
 Delete all warning alerts from the features More...
 
unsafe NXOpen.Features.Feature[] GetAllChildren ()
 Returns all immediate child features. More...
 
unsafe NXOpen.Body[] GetBodies ()
 Returns the bodies created by the feature More...
 
unsafe NXOpen.Features.Feature[] GetChildren ()
 Returns the immediate child features. More...
 
unsafe NXOpen.Edge[] GetEdges ()
 Returns the edges created by the feature More...
 
unsafe NXOpen.NXObject[] GetEntities ()
 Returns the entities created by the feature. More...
 
unsafe NXOpen.Expression[] GetExpressions ()
 Returns the expressions created by the feature. More...
 
unsafe NXOpen.Face[] GetFaces ()
 Returns the faces created by the feature More...
 
unsafe string[] GetFeatureClueHintMessages ()
 Returns both clue and hint messages of the feature. More...
 
unsafe string[] GetFeatureClueMessages ()
 Returns the feature clue messages. More...
 
unsafe NXOpen.NXColor GetFeatureColor ()
 The feature color More...
 
unsafe string[] GetFeatureErrorMessages ()
 Returns the feature error messages. More...
 
unsafe string[] GetFeatureHintMessages ()
 Returns the feature hint messages. More...
 
unsafe string[] GetFeatureInformationalMessages ()
 Returns the feature informational messages. More...
 
unsafe string GetFeatureName ()
 Returns the displayed name of the feature. More...
 
unsafe string[] GetFeatureWarningMessages ()
 Returns the feature warning messages. More...
 
unsafe NXOpen.Features.Feature[] GetParents ()
 Returns the immediate parent features. More...
 
unsafe NXOpen.Section[] GetSections ()
 Queries a feature for list of its sections. More...
 
unsafe void HideBody ()
 Hide the body created by the feature More...
 
unsafe void HideParents ()
 Hide the body created by the parent feature More...
 
unsafe void Highlight ()
 Highlight the body created by the feature More...
 
unsafe bool IsBrowsableFeature ()
 Returns true if a feature is browsable. More...
 
unsafe void LoadParentPart ()
 Loads parent part for linked feature More...
 
unsafe void LogDiagnostic (int errorCode, string message, NXOpen.Features.Feature.DiagnosticType diagnosticType)
 Log a diagnostic alert for this feature More...
 
unsafe void MakeCurrentFeature ()
 Make current feature More...
 
unsafe void MakeSketchExternal ()
 Make the parent sketch external for reuse by other features. More...
 
unsafe void MakeSketchInternal ()
 Make the parent sketch internal if referenced only by this feature. More...
 
unsafe void RemoveForEdit (bool dependent)
 Remove all the feature faces before a NoHistory mode edit. More...
 
unsafe void RemoveParameters ()
 Remove Local feature parameters in history free mode. More...
 
unsafe void SetGroupActive (bool active)
 Set a feature group as active group. More...
 
unsafe void ShowBody (bool moveCurves)
 Show the body created by the feature. More...
 
unsafe void ShowDimensions ()
 Show all feature dimensions of a feature. More...
 
unsafe void ShowParents (bool moveCurves)
 Show the body created by the parent feature. More...
 
unsafe void Suppress ()
 Suppress the feature More...
 
unsafe void Unhighlight ()
 Unhighlight the body created by the feature More...
 
unsafe void Unsuppress ()
 Unsuppress the feature More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int AlgorithmVersion [get]
 Returns the algorithm version of the feature More...
 
unsafe
NXOpen.Features.IContainerFeature 
ContainerFeature [get]
 Returns the container feature for this feature. More...
 
unsafe string FeatureType [get]
 Returns the feature type More...
 
unsafe bool IsContainedFeature [get]
 Returns true if the feature is a contained feature. More...
 
unsafe bool IsInternal [get]
 Returns true if the feature is internal. More...
 
unsafe NXOpen.Point3d Location [get]
 Returns the location of the feature More...
 
unsafe bool Suppressed [get]
 Returns the suppression status of the feature More...
 
unsafe int Timestamp [get]
 Returns the timestamp of the feature More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a feature on a part

This is an abstract class, and cannot be instantiated.

Created in NX3.0.0

Member Enumeration Documentation

Boolean operation type.

Enumerator
Create 

Create

Unite 

Unite

Subtract 

Subtract

Intersect 

Intersect

EmbossNormalSide 

Emboss, keep tool on normal side of sheet

EmbossOppositeNormalSide 

Emboss, keep tool opposite of normal side of sheet

Diagnostic type

Enumerator
Information 

Information alert

Warning 

Warning

Member Function Documentation

unsafe bool NXOpen.Features.Feature.BreakWaveLink ( )
inline

Break Wave Link Feature

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe void NXOpen.Features.Feature.ChangeBooleanType ( )
inline

Change Boolean Type

Created in NX9.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.DeleteClueAlerts ( )
inline

Delete all clue alerts from the features

Created in NX8.0.1

License requirements: None.

unsafe void NXOpen.Features.Feature.DeleteHintAlerts ( )
inline

Delete all clue alerts from the features

Created in NX8.0.1

License requirements: None.

unsafe void NXOpen.Features.Feature.DeleteInformationalAlerts ( )
inline

Delete all informational alerts from the features

Created in NX5.0.0

License requirements: None.

unsafe void NXOpen.Features.Feature.DeleteWarningAlerts ( )
inline

Delete all warning alerts from the features

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.Feature [] NXOpen.Features.Feature.GetAllChildren ( )
inline

Returns all immediate child features.

The order in which children are returned is not significant and may change

Created in NX9.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Body [] NXOpen.Features.Feature.GetBodies ( )
inline

Returns the bodies created by the feature

Created in NX1899.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Features.Feature [] NXOpen.Features.Feature.GetChildren ( )
inline

Returns the immediate child features.

The order in which children are returned is not significant and may change. When used with features involving boolean operations or body modifying features, the API has limitations such that it may not return all the expected child features. This API is superseded by NXOpen.Features.Feature.GetAllChildren

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Edge [] NXOpen.Features.Feature.GetEdges ( )
inline

Returns the edges created by the feature

Created in NX1899.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.NXObject [] NXOpen.Features.Feature.GetEntities ( )
inline

Returns the entities created by the feature.

The order in which entities are returned is not significant and may change.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Expression [] NXOpen.Features.Feature.GetExpressions ( )
inline

Returns the expressions created by the feature.

The order in which expressions are returned is not significant and may change

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Face [] NXOpen.Features.Feature.GetFaces ( )
inline

Returns the faces created by the feature

Created in NX1899.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe string [] NXOpen.Features.Feature.GetFeatureClueHintMessages ( )
inline

Returns both clue and hint messages of the feature.

num_clueHint can be NULL. The order in which clue and hint messags are returned is not significant and may change

Created in NX8.0.1

License requirements: None.

Returns
unsafe string [] NXOpen.Features.Feature.GetFeatureClueMessages ( )
inline

Returns the feature clue messages.

clue_messages can be NULL. The order in which clue messags are returned is not significant and may change

Created in NX8.0.1

License requirements: None.

Returns
unsafe NXOpen.NXColor NXOpen.Features.Feature.GetFeatureColor ( )
inline

The feature color

Created in NX9.0.1

License requirements: None.

Returns
unsafe string [] NXOpen.Features.Feature.GetFeatureErrorMessages ( )
inline

Returns the feature error messages.

error_messages can be NULL. The order in which error messags are returned is not significant and may change

Created in NX5.0.0

License requirements: None.

Returns
unsafe string [] NXOpen.Features.Feature.GetFeatureHintMessages ( )
inline

Returns the feature hint messages.

hint_messages can be NULL. The order in which hint messags are returned is not significant and may change

Created in NX8.0.1

License requirements: None.

Returns
unsafe string [] NXOpen.Features.Feature.GetFeatureInformationalMessages ( )
inline

Returns the feature informational messages.

info_messages can be NULL. The order in which informational messags are returned is not significant and may change

Created in NX5.0.0

License requirements: None.

Returns
unsafe string NXOpen.Features.Feature.GetFeatureName ( )
inline

Returns the displayed name of the feature.

Created in NX6.0.0

License requirements: None.

Returns
displayed name
unsafe string [] NXOpen.Features.Feature.GetFeatureWarningMessages ( )
inline

Returns the feature warning messages.

warning_messages can be NULL. The order in which warning messags are returned is not significant and may change

Created in NX5.0.0

License requirements: None.

Returns
unsafe NXOpen.Features.Feature [] NXOpen.Features.Feature.GetParents ( )
inline

Returns the immediate parent features.

The order in which parents are returned is not significant and may change

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe NXOpen.Section [] NXOpen.Features.Feature.GetSections ( )
inline

Queries a feature for list of its sections.

The order in which sections are returned is not significant and may change

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
Array of sections
unsafe void NXOpen.Features.Feature.HideBody ( )
inline

Hide the body created by the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.HideParents ( )
inline

Hide the body created by the parent feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.Highlight ( )
inline

Highlight the body created by the feature

Created in NX3.0.0

License requirements: None.

unsafe bool NXOpen.Features.Feature.IsBrowsableFeature ( )
inline

Returns true if a feature is browsable.

A browsable feature is typically visible in the Part Navigator.

Created in NX1899.0.0

License requirements: None.

Returns
unsafe void NXOpen.Features.Feature.LoadParentPart ( )
inline

Loads parent part for linked feature

Created in NX1872.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.Feature.LogDiagnostic ( int  errorCode,
string  message,
NXOpen.Features.Feature.DiagnosticType  diagnosticType 
)
inline

Log a diagnostic alert for this feature

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
errorCode
message
diagnosticType
unsafe void NXOpen.Features.Feature.MakeCurrentFeature ( )
inline

Make current feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.MakeSketchExternal ( )
inline

Make the parent sketch external for reuse by other features.

Created in NX5.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.MakeSketchInternal ( )
inline

Make the parent sketch internal if referenced only by this feature.

Created in NX5.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.RemoveForEdit ( bool  dependent)
inline

Remove all the feature faces before a NoHistory mode edit.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
dependent
unsafe void NXOpen.Features.Feature.RemoveParameters ( )
inline

Remove Local feature parameters in history free mode.

Created in NX7.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.SetGroupActive ( bool  active)
inline

Set a feature group as active group.

If input is a null reference (Nothing in Visual Basic), set no feature group active

Created in NX7.5.1

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
active
unsafe void NXOpen.Features.Feature.ShowBody ( bool  moveCurves)
inline

Show the body created by the feature.

The feature curves are to be moved to work layer if the curves are non-selectable when move_curves is true.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
moveCurves
unsafe void NXOpen.Features.Feature.ShowDimensions ( )
inline

Show all feature dimensions of a feature.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.ShowParents ( bool  moveCurves)
inline

Show the body created by the parent feature.

The parent curves of feature are to be moved to work layer if the curves are non-selectable when move_curves is true.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
moveCurves
unsafe void NXOpen.Features.Feature.Suppress ( )
inline

Suppress the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe void NXOpen.Features.Feature.Unhighlight ( )
inline

Unhighlight the body created by the feature

Created in NX3.0.0

License requirements: None.

unsafe void NXOpen.Features.Feature.Unsuppress ( )
inline

Unsuppress the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Property Documentation

unsafe int NXOpen.Features.Feature.AlgorithmVersion
get

Returns the algorithm version of the feature

Created in NX3.0.0

Deprecated in NX8.5.0. Algorithm version is for internal use only. There is no replacement for this method.

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.IContainerFeature NXOpen.Features.Feature.ContainerFeature
get

Returns the container feature for this feature.

Will be set to a null reference (Nothing in Visual Basic) if this feature is not a contained feature.

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe string NXOpen.Features.Feature.FeatureType
get

Returns the feature type

Created in NX3.0.0

License requirements: None.

unsafe bool NXOpen.Features.Feature.IsContainedFeature
get

Returns true if the feature is a contained feature.

If it is a contained feature, use the property NXOpen.Features.Feature.ContainerFeature to get the container feature for this feature.

Created in NX8.5.0

Deprecated in NX9.0.0. Use NXOpen.Features.Feature.ContainerFeature and check if it is a null reference (Nothing in Visual Basic) instead.

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.Feature.IsInternal
get

Returns true if the feature is internal.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point3d NXOpen.Features.Feature.Location
get

Returns the location of the feature

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.Feature.Suppressed
get

Returns the suppression status of the feature

Created in NX3.0.0

License requirements: None.

unsafe int NXOpen.Features.Feature.Timestamp
get

Returns the timestamp of the feature

Created in NX3.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.